Skip to content
Glances client for Node.js
Find file
Latest commit 2e1de3d @Pegase745 Create .travis.yml
Failed to load latest commit information.
examples First version
lib Version 0.1.0
test Version 0.1.0
.gitignore First version
.travis.yml Create .travis.yml
LICENSE Starting some tests
README.md Update README.md
index.js Starting some tests
package.json Update package.json

README.md

node-glances NPM version

Nicolargo's Glances client for Node.js available on NPM

Requirements

  • Node.js >= 0.8
  • Glances server <= 1.7

Installation

npm install glances

Usage

var glances = require('node-glances');

var client = glances.createClient({ host: 'your-url' });

client.call('api-method(ie: getAll)', function(error, value){
    if(error) {
        console.log(error.faultString);
    } else {
        console.dir(value);
    }
});

Documentation

All available API methods for Glances are available here.

Something went wrong with that request. Please try again.